@-webkit-keyframes ani-mouse {
	0% {
	opacity: 1;
	top: 29%;
	}
	15% {
	opacity: 1;
	top: 50%;
	}
	50% {
	opacity: 0;
	top: 50%;
	}
	100% {
	opacity: 0;
	top: 29%;
	}
}
@-moz-keyframes ani-mouse {
	0% {
	opacity: 1;
	top: 29%;
	}
	15% {
	opacity: 1;
	top: 50%;
	}
	50% {
	opacity: 0;
	top: 50%;
	}
	100% {
	opacity: 0;
	top: 29%;
	}
}
@keyframes ani-mouse {
	0% {
	opacity: 1;
	top: 29%;
	}
	15% {
	opacity: 1;
	top: 50%;
	}
	50% {
	opacity: 0;
	top: 50%;
	}
	100% {
	opacity: 0;
	top: 29%;
	}
}
 .scroll-btn {
	display: block;
	position: absolute;
	z-index:8500;
	left: 0;
	bottom:50px;
	right: 0;
	text-align: center;
}

.scroll-darkener
{
	pointer-events:none;
	z-index:8000;
	background:linear-gradient(to bottom, rgba(255,255,255,0), white);
	position:fixed;
	bottom:0;
	width:100%;
	height:300px;
}

.scroll-btn > * {
	display: inline-block;
	line-height: 18px;
	font-size: 13px;
	font-weight: normal;
	color: $accent-color;
	font-family: "proxima-nova", "Helvetica Neue", Helvetica, Arial, sans-serif;
	letter-spacing: 2px;
}
.scroll-btn > *:hover,
.scroll-btn > *:focus,
.scroll-btn > *.active {
	color: $accent-color;
}
.scroll-btn > *:hover,
.scroll-btn > *:focus,
.scroll-btn > *:active,
.scroll-btn > *.active {
	opacity: 0.8;
	filter: alpha(opacity=80);
}
.scroll-btn .mouse {
	position: relative;
	display: block;
	width: 35px;
	height: 55px;
	margin: 0 auto 20px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	border: 3px solid $accent-color;
	border-radius: 23px;
}
.scroll-btn .mouse > * {
	position: absolute;
	display: block;
	top: 29%;
	left: 50%;
	width: 8px;
	height: 8px;
	margin: -4px 0 0 -4px;
	background: $accent-color;
	border-radius: 50%;
	-webkit-animation: ani-mouse 2.5s linear infinite;
	-moz-animation: ani-mouse 2.5s linear infinite;
	animation: ani-mouse 2.5s linear infinite;
}

.arrows path {
	stroke: $accent-color;
	fill: transparent;
	stroke-width: 4px;	
	animation: arrow 2s infinite;
	-webkit-animation: arrow 2s infinite; 
}

@keyframes arrow
{
	0% {opacity:0}
	40% {opacity:1}
	80% {opacity:0}
	100% {opacity:0}
}

@-webkit-keyframes arrow /*Safari and Chrome*/
{
	0% {opacity:0}
	40% {opacity:1}
	80% {opacity:0}
	100% {opacity:0}
}

.arrows path.a1 {
	animation-delay:-1s;
	-webkit-animation-delay:-1s; /* Safari 和 Chrome */
}

.arrows path.a2 {
	animation-delay:-0.5s;
	-webkit-animation-delay:-0.5s; /* Safari 和 Chrome */
}

.arrows path.a3 {	
	animation-delay:0s;
	-webkit-animation-delay:0s; /* Safari 和 Chrome */
}

.header
{
	padding-top:50px;
	padding-bottom:120px;

	.mobile-menu-button
	{
		display:none;
	}

	.mobile-menu-close-button
	{
		display:none;
	}

	.brand
	{
		display:inline;

		.brand-logo
		{
			height:2.5em;
		}

		.brand-text
		{
			font-weight: 900;
			margin-left: 10px;
			font-size: 2em;
			position: relative;
			bottom: 10px;
			margin-bottom: 26px;
			display: inline-block;
			color: $accent-color;
		}
	}

	.menu
	{
		float:right;
		font-weight:bold;
		color:#555;
		text-transform:uppercase;
		font-size:0.8em;
		padding-top:10px;

		.regular-menu
		{
			display:inline;

			li
			{
				color:#555 !important;
				display:inline;
				letter-spacing:2px;
				margin-right:40px;
				font-family:'Poppins', sans-serif;

				transition:opacity 500ms;
			}

			li:hover
			{
				opacity:0.7;
			}
		}

		.account-menu
		{
			display:inline;

			li
			{
				display:inline;
				margin-right:25px;
				letter-spacing:2px;
				font-family:'Poppins', sans-serif;
			}

			.login-button
			{
				margin-left:25px;
				color:$accent-color;

				transition:opacity 500ms;
			}

			.login-button:hover
			{
				opacity:0.7;
			}

			.signup-button
			{
				background-color:$accent-color;
				color:white;
				padding:10px 15px;
				border-radius:50px;

				transition:all 500ms;
				cursor:pointer;
			}

			.signup-button:hover
			{
				opacity:0.7;
			}
		}
	}
}



@media only screen and (max-width: 600px) {
    .header
    {
    	padding-top:25px;
		padding-bottom:25px;

    	.container
    	{
    		text-align:center;
    	}

    	.mobile-menu-button
    	{
    		display:initial;
    		float:left;
    		color:$accent-color;
    		cursor:pointer;
    	}

    	.menu
    	{
    		pointer-events:none;
    		display:initial;
    		width:100%;
    		height:100vh;
    		transform:scale(1);
    		opacity:1;
    		background-color:rgba(255,255,255,0.9);
    		position:fixed;
    		top:0;
    		left:0;
    		z-index:9000;
    		transform:translateX(-100%);

    		padding-left:75px;
    		padding-right:75px;
    		padding-top:50%;

    		transition: transform 500ms, opacity 500ms;

    		.mobile-menu-close-button
    		{
    			display:block;
    			color:$accent-color;
    			position:fixed;
    			top:45px;
    			right:45px;
    		}

    		.regular-menu
    		{
    			display:block;

    			li
    			{
    				display:block;
    				margin-bottom:35px;
    				color:#555 !important;
					letter-spacing:2px;
					margin-right:0 !important;
					font-family:'Poppins', sans-serif;

					transition:opacity 500ms;
    			}
    		}

    		.account-menu
    		{
    			display:block;

    			li
    			{
    				margin-bottom:35px;
    				margin-left: 0 !important;
    				display:block;
    				margin-right: 0 !important;
    			}
    		}
    	}


    	.menu.shown
    	{
    		pointer-events:all;
    		transform:translateX(0);
    	}
    }

    .arrows
    {
    	display:none;
    }
}